export = pathsToModuleNameMapper;
/**
 * @typedef {Exclude<import('typescript').CompilerOptions['paths'], undefined>} TsPathMapping
 * @typedef {import('@jest/types').Config.InitialOptions['moduleNameMapper']} JestPathMapping
 */
/**
 * Converts TypeScript path mappings to Jest module name mappings
 *
 * @param {TsPathMapping} mapping - The TypeScript path mapping object
 * @param {{prefix?: string, useESM?: boolean}} options - Configuration options
 * @returns {JestPathMapping}
 */
declare function pathsToModuleNameMapper(mapping: import("typescript").MapLike<string[]>, { prefix, useESM }?: {
    prefix?: string;
    useESM?: boolean;
}): JestPathMapping;
declare namespace pathsToModuleNameMapper {
    export { TsPathMapping, JestPathMapping };
}
type JestPathMapping = import('@jest/types').Config.InitialOptions['moduleNameMapper'];
type TsPathMapping = Exclude<import('typescript').CompilerOptions['paths'], undefined>;
//# sourceMappingURL=paths-to-module-name-mapper.d.ts.map